#!/bin/bash

containerstart=`stat -c %Z /proc/1`
curtime=`date +%s`
if (( curtime-containerstart < 180 )); then
    echo "Container start period, returning 0"
    exit 0
fi

curl -f -H 'Host:demo.infoclinica.ru' 127.0.0.1:9000/login || exit 1

# Проверяем наличие файла с переменной time_to_dead
if [ -f /tmp/dead ];then
#  dead_to_time=$(cat /tmp/dead)
  if (( ${curtime} > $(cat /tmp/dead) ));then kill 1;fi
else
# Определяем изменился ли адрес админки
  ping -c3 $(cat /tmp/admin_ip)
  if [[ $? -ne 0 ]]; then
    new_admin_ip=$(dig +short ${ADMIN_HOST}.${APPNET})
    if [[ ${new_admin_ip} != $(cat /tmp/admin_ip) ]];then
      ping -c3 ${new_admin_ip} || exit 0
    fi
    sorted=($(echo $(dig tasks.${SERVICE_NAME}.${APPNET} +short)|tr " " "\n"|sort -n))
    for i in ${!sorted[*]}
    do
      if [[ ${sorted[${i}]} == $(dig ${HOSTNAME}.${APPNET} +short) ]];then time_to_dead=$((${i}*180+${curtime}+20));echo "${time_to_dead}" > /tmp/dead;fi
    done
  fi
fi
exit 0
